Bug 152418 - CAN-2005-0839 N_MOUSE line discipline flaw
CAN-2005-0839 N_MOUSE line discipline flaw
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
impact=important,reported=20050128,so...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 06:40 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 20:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-29 06:40:36 EST
4. input: Only root should be able to set the N_MOUSE line discipline.
http://linux.bkbits.net:8080/linux-2.6/cset@41fa6464E1UuGu6zmketEYxm73KSyQ

Routine used in setting line discipline on a serial tty.  Note possibly the
wrong fix: http://www.mail-archive.com/linux-kernel@vger.kernel.org/msg64695.html

Impact: a non privileged user could inject mouse movements or possibly
keystrokes when another user is logged in.

Affects: FC2, FC3

Note You need to log in before you can comment on or make changes to this bug.